com.hammurapi.common.concurrent

## Class LocalAbstractPropertySet<KP,KE>

- java.lang.Object
- - com.hammurapi.common.concurrent.AbstractPropertySet<KP,KE>
  - - com.hammurapi.common.concurrent.LocalAbstractPropertySet<KP,KE>

- Type Parameters:
    `KP` -
    `KE` -
  All Implemented Interfaces:
    Adaptable, PropertySet<KP>, Versionable<PropertySet<KP>>, ReadWriteLock
  Direct Known Subclasses:
    LocalStringPropertySet

      public abstract class LocalAbstractPropertySet<KP,KE>
      extends AbstractPropertySet<KP,KE>

  Property set which uses in-memory collections and reentrant read-write lock

- - ### Field Summary

    - ### Fields inherited from class com.hammurapi.common.concurrent.AbstractPropertySet

      `context, converter, executorService, shadows`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LocalAbstractPropertySet(ExecutorService executorService, Converter converter, Context context, PropertySet<KP>... shadows)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<KE,PropertySet<KP>>` | `getMounts()`
    `protected Map<KE,AbstractPropertySet<KP,KE>>` | `getSubSetStore()`
    `protected Map<KE,Object>` | `getValueStore()`

    - ### Methods inherited from class com.hammurapi.common.concurrent.AbstractPropertySet

      `buildPath, buildPath, buildPath, buildPath, cancel, cancel, cancelAll, clear, cook, cook, cook, cooking, get, get, get, get, get, get, get, get, get, get, invoke, keySet, lazy, mount, mount, newInstance, remove, remove, set, set, setAll, setInvocable, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowInvoke, subset, subset, tokenize, unmount, unmount, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.hammurapi.common.Adaptable

      `getAdapter`

    - ### Methods inherited from interface com.hammurapi.common.concurrent.Versionable

      `createVersion`

    - ### Methods inherited from interface java.util.concurrent.locks.ReadWriteLock

      `readLock, writeLock`

- - ### Constructor Detail

    - #### LocalAbstractPropertySet

          protected LocalAbstractPropertySet(ExecutorService executorService,
                                  Converter converter,
                                  Context context,
                                  PropertySet<KP>... shadows)

  - ### Method Detail

    - #### getValueStore

          protected Map<KE,Object> getValueStore()

      Specified by:
        `getValueStore` in class `AbstractPropertySet<KP,KE>`
      Returns:
        Store for values.

    - #### getSubSetStore

          protected Map<KE,AbstractPropertySet<KP,KE>> getSubSetStore()

      Specified by:
        `getSubSetStore` in class `AbstractPropertySet<KP,KE>`
      Returns:

    - #### getMounts

          protected Map<KE,PropertySet<KP>> getMounts()

      Specified by:
        `getMounts` in class `AbstractPropertySet<KP,KE>`